curl --request PUT \
--url https://api.messaging.phonovation.com/sms/1/bulks \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sendAt": "2021-08-25T16:00:00.000+0000"
}
'import requests
url = "https://api.messaging.phonovation.com/sms/1/bulks"
payload = { "sendAt": "2021-08-25T16:00:00.000+0000" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/sms/1/bulks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"sendAt\": \"2021-08-25T16:00:00.000+0000\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/sms/1/bulks")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sendAt\": \"2021-08-25T16:00:00.000+0000\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/sms/1/bulks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'sendAt' => '2021-08-25T16:00:00.000+0000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sendAt: '2021-08-25T16:00:00.000+0000'})
};
fetch('https://api.messaging.phonovation.com/sms/1/bulks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bulkId": "BULK-ID-123-xyz",
"sendAt": "2021-08-25T16:00:00.000+0000"
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Bulk not found"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Reschedule SMS messages
Change the date and time of already scheduled messages. To schedule a message, use the sendAt field when sending a message.
Required scope: Enable one of: sms:manage.
curl --request PUT \
--url https://api.messaging.phonovation.com/sms/1/bulks \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sendAt": "2021-08-25T16:00:00.000+0000"
}
'import requests
url = "https://api.messaging.phonovation.com/sms/1/bulks"
payload = { "sendAt": "2021-08-25T16:00:00.000+0000" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/sms/1/bulks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"sendAt\": \"2021-08-25T16:00:00.000+0000\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.put("https://api.messaging.phonovation.com/sms/1/bulks")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sendAt\": \"2021-08-25T16:00:00.000+0000\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/sms/1/bulks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'sendAt' => '2021-08-25T16:00:00.000+0000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({sendAt: '2021-08-25T16:00:00.000+0000'})
};
fetch('https://api.messaging.phonovation.com/sms/1/bulks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bulkId": "BULK-ID-123-xyz",
"sendAt": "2021-08-25T16:00:00.000+0000"
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Bulk not found"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request.
"BULK-ID-123-xyz"
Body
Date and time when the message is to be sent. Used for scheduled SMS (see Scheduled SMS endpoints for more details). Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ, and can only be scheduled for no later than 180 days in advance.
Response
successful response
Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request.
Date and time when the message is to be sent. Used for scheduled SMS (see Scheduled SMS endpoints for more details). Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ, and can only be scheduled for no later than 180 days in advance.